Path Parameters
The transaction UUID (
transaction_id field from the transaction object).curl -X GET 'https://api.yativo.com/api/v1/transaction/tracking/a0e9e50e-81be-4bd0-9941-0151e68b9e97' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"tracking_status": "Payment credited to beneficiary",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:03:22.000000Z"
},
{
"tracking_status": "With Beneficiary's Bank/Rail",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:02:54.000000Z"
},
{
"tracking_status": "Processed by Yativo",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:01:45.000000Z"
},
{
"tracking_status": "Send money initiated",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:00:00.000000Z"
}
]
}
Get a live status timeline for a transaction
GET /transaction/tracking/{transactionId}
transaction_id field from the transaction object).curl -X GET 'https://api.yativo.com/api/v1/transaction/tracking/a0e9e50e-81be-4bd0-9941-0151e68b9e97' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": [
{
"tracking_status": "Payment credited to beneficiary",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:03:22.000000Z"
},
{
"tracking_status": "With Beneficiary's Bank/Rail",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:02:54.000000Z"
},
{
"tracking_status": "Processed by Yativo",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:01:45.000000Z"
},
{
"tracking_status": "Send money initiated",
"transaction_type": "withdrawal",
"created_at": "2026-04-01T10:00:00.000000Z"
}
]
}